$gutter: 1.2rem;
$gutter-larger: calc(3 * #{$gutter()});
$gutter-large: calc(2 * #{$gutter()});
$gutter-medium: calc(1.5 * #{$gutter()});
$gutter-small: calc(#{$gutter} / 2);
$gutter-smaller: calc(#{$gutter} / 4);

$custom-input-common-height: 2.8rem;
@mixin custom-input-common-styles {
  height: $custom-input-common-height;
  padding: $gutter-smaller $gutter;
  background-color: #fff;
  border-bottom: 1px solid var(--color-primary);

  &::placeholder {
    color: var(--color-gray);
  }

  &:focus,
  &:active,
  &:visited {
    outline: none;
  }

  &:focus {
    border-bottom: 1px solid var(--color-secondary);
  }
}
